//
//  GLPointPair.h
//  ImageFunGL
//
//  Created by Tom Bernard on 5/22/07.
//  Copyright 2007 Bersearch Information Services. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GLPointWithColor.h"

extern NSString *glppPoint1Key;
extern NSString *glppPoint2Key;

@interface GLPointPair : NSObject <NSCoding>
{
	GLPointWithColor *point1, *point2;
}
+ (id)randomPointPair;
- (id)initWithPoint:(GLPointWithColor *)_point1 andPoint:(GLPointWithColor *)_point2;
- (void)render;
- (void)animate;
- (NSColor *)complementaryColorForColor:(NSColor *)_color;

// accessors

- (GLPointWithColor *)point1;
- (void)setPoint1:(GLPointWithColor *)_point1;

- (GLPointWithColor *)point2;
- (void)setPoint2:(GLPointWithColor *)_point2;


@end
