//
//  ImageFunGLDocument.m
//  ImageFunGL
//
//  Created by Tom Bernard on 5/21/07.
//  Copyright Bersearch Information Services 2007 . All rights reserved.
//

#import "ImageFunGLDocument.h"

@implementation ImageFunGLDocument

- (id)init
{
    self = [super init];
    if (self) {
    
        // Add your subclass-specific initialization here.
        // If an error occurs here, send a [self release] message and return nil.
    
    }
    return self;
}

- (void)dealloc
{
	[pointPairArray release];
	
	[super dealloc];
}

- (NSString *)windowNibName
{
    return @"ImageFunGLDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
    [super windowControllerDidLoadNib:aController];
    // Add any code here that needs to be executed once the windowController has loaded the document's window.
}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{
    return [NSKeyedArchiver archivedDataWithRootObject:pointPairArray];
}

- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType
{
    NSArray *_pointPairArray = [NSKeyedUnarchiver unarchiveObjectWithData:data];
	if (_pointPairArray)
	{
		[self setPointPairArray:_pointPairArray];
		return YES;
	}
	else
	{
		return NO;
	}
}

- (NSArray *)pointPairArray
{
	return pointPairArray;
}

- (void)setPointPairArray:(NSArray *)_pointPairArray
{
	[_pointPairArray retain];
	[pointPairArray release];
	pointPairArray = _pointPairArray;
}

@end
