//
//  AppController.m
//  ImageFunGL
//
//  Created by Tom Bernard on 5/21/07.
//  Copyright Bersearch Information Services 2007 . All rights reserved.
//

#import "AppController.h"
#import "AboutController.h"

@implementation AppController

- (void)awakeFromNib
{
	// seed the random number generator - we only need to do this at startup, and not once per document
	// so we do it here instead of in the document
	
	UnsignedWide durationSinceStartup;
	Microseconds(&durationSinceStartup);
	srandom(durationSinceStartup.lo);
	
}

- (AboutController *)aboutController
{
	if (!aboutController)
	{
		[NSBundle loadNibNamed:@"About" owner:self];
	}
	return aboutController;
}


- (void)orderFrontStandardAboutPanel:(id)sender
{
	[[self aboutController] setupTextView];
	[aboutController makeFrontAndKeyAboutPanel];
}


@end
